Restore an agent configuration as a new version
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/versions/{versionUuid}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"current_version_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/versions/{versionUuid}/restore"
payload = { "current_version_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({current_version_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/versions/{versionUuid}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agents
Restore an agent configuration as a new version
POST
/
api
/
v1
/
agents
/
{uuid}
/
versions
/
{versionUuid}
/
restore
Restore an agent configuration as a new version
